@Echo off
@title Patcheur Megaman X6 FR - Par Jericho

set not_f=goto manque_fichier
if not exist PROG\md5.exe %not_f%
if not exist "ROM Originale" %not_f%
if not exist rockman_generation.txt %not_f%
PROG\md5.exe -n "rockman_generation.txt" >"PROG\RG.txt"
FOR /F "delims=" %%a in ('type "PROG\RG.txt"') do (
del PROG\RG.txt
if 6CA170B1FC8EAAA78497954A9A2F6FFE NEQ %%a goto manque_fichier
)

:suite
set file=Megaman_X6_2016_04_20.bin
if exist "ROM Traduite" RD "ROM Traduite" /S /Q
if not exist "ROM Originale\*.bin" goto not_exist


:start
copy "%cd%\ROM Originale\*.bin" "%cd%\*.bin" /Y>nul
ren *.bin rom.bin
cls
echo.
echo                                Traitement en cours ...
echo.
goto patch



:patch
PROG\md5.exe -n "rom.bin" >"PROG\rom.txt"
FOR /F "delims=" %%a in ('type "PROG\rom.txt"') do (
del PROG\rom.txt
MD "ROM Traduite"
if FF50AF80533A1A9A3A9FE6FBE4A8560F EQU %%a goto patch_suite_US
if 237B6FEDDD1A88E86AB1CDDC8822F03F EQU %%a goto pre_patch_suite_US_V11
if 9A7FC7A309F2FB7F0AE208248F79CBB8 EQU %%a goto pre_patch_suite_EU
if 9A7FC7A309F2FB7F0AE208248F79CBB8 NEQ %%a goto patch_not_exist
)


:pre_patch_suite_US_V11
PROG\xdelta.exe -d -vfs "rom.bin" "PROG\237B6FEDDD1A88E86AB1CDDC8822F03F.xdelta" "romUS.bin" >nul
del "rom.bin"
ren "romUS.bin" "rom.bin"
goto patch_suite_US

:pre_patch_suite_EU
PROG\xdelta.exe -d -vfs "rom.bin" "PROG\9A7FC7A309F2FB7F0AE208248F79CBB8.xdelta" "romEU.bin" >nul
del "rom.bin"
ren "romEU.bin" "rom.bin"
goto patch_suite_US

:patch_suite_US
PROG\xdelta.exe -d -vfs "rom.bin" "PROG\FF50AF80533A1A9A3A9FE6FBE4A8560F.xdelta" "ROM Traduite\%file%" >nul
)
copy "PROG\Megaman_X6_2016_04_20.cue" "ROM Traduite\" /Y>nul
cls
color 2F
echo.
echo                                Traitement Termin‚ ...
echo.
echo                     La ROM patch‚e est dans le dossier "ROM Traduite".
echo.
echo.
echo.
echo                                Thanks for playing !!
echo.
echo.
goto del



:not_exist
cls
color 5F
echo.
echo                       Aucune ROM "bin" n'a ‚t‚ trouv‚e dans
echo                            le dossier "ROM Originale"
echo.
echo                       Veuillez vous assurer que celle-ci y
echo                     est bien pr‚sente puis r‚essayez, merci.
echo.               
echo.
goto del

:patch_not_exist
cls
color 5F
echo.
echo                            Aucun PATCH "bin" n'a ‚t‚ cr‚‚
echo                                   avec cette ROM.
echo.
echo                       Contactez-nous afin d'ajouter votre Rom
echo                        aux diff‚rents patchs existant, merci.
echo.               
echo.
goto del


:del
if exist rom.* del rom.*>nul
goto end

:manque_fichier
cls
color 5F
echo.
echo                         L'archive du patch t‚l‚charg‚ n'est pas bonne
echo                                  ou a ‚t‚ modifi‚e
echo.                          car il manque un ou plusieurs fichiers.
echo.
echo.
echo                  Merci de voir pour re-t‚l‚charger … nouveau sur le site de
echo                               -- Rockman Generation --
echo.
echo.
echo                               Si le problŠme persiste,
echo                             Merci de nous en faire part.
echo.

goto end


:end
echo.
echo.
echo.                                 ..................
echo.
echo.
echo                          Pressez une touche pour quitter...
notepad rockman_generation.txt
pause>nul